{
  "module": {
    "name": "entry",
    "type": "entry",
    "description": "$string:module_desc",
    "mainElement": "EntryAbility",
    "deviceTypes": [
      "phone",
      "tablet"
    ],
    "querySchemes": [
      "https",
      "alipays",
      "weixin",
      "wxopensdk"
    ],
    "metadata": [
      {
        "name": "GETUI_APPID",
        "value": "HE9nqTugoL8t42IrENGKf6"
      }
    ],
    "requestPermissions": [
      {
        "name": "ohos.permission.INTERNET"
      },
      {
        "name": "ohos.permission.GET_NETWORK_INFO"
      },
      {
        "name": "ohos.permission.GET_WIFI_INFO"
      },
      {
        "name": "ohos.permission.KEEP_BACKGROUND_RUNNING"
      },
      {
        "name": "ohos.permission.RUNNING_LOCK"
      },
      {
        "name": "ohos.permission.STORE_PERSISTENT_DATA"
      },
      {
        "name": "ohos.permission.APP_TRACKING_CONSENT",
        "reason": "$string:oaid_reason",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "inuse"
        }
      },
      {
        "name": "ohos.permission.READ_PASTEBOARD",
        "reason": "$string:read_pasteboard_reason",
        "usedScene": {
          "abilities": [
            "EntryAbility"
          ],
          "when": "always"
        }
      }
    ],
    "srcEntry": "./ets/MyAbilityStage.ets",
    "deliveryWithInstall": true,
    "installationFree": false,
    "pages": "$profile:main_pages",
    "abilities": [
      {
        "name": "EntryAbility",
        "srcEntry": "./ets/entryability/EntryAbility.ets",
        "description": "$string:EntryAbility_desc",
        "label": "$string:EntryAbility_label",
        "icon": "$media:layer_logo",
        "startWindowIcon": "$media:ic_splash_logo",
        "startWindowBackground": "$color:window_background",
        "exported": true,
        "orientation": "portrait",
        "launchType": "singleton",
        "removeMissionAfterTerminate": true,
        "skills": [
          {
            "entities": ["entity.system.home"],
            "actions": ["action.system.home"]
          },
          {
            "entities": ["entity.system.default"],
            "actions": ["action.system.view"]
          }
        ]
      }
    ],
    "extensionAbilities": [
      {
        "name": "EntryBackupAbility",
        "srcEntry": "./ets/entrybackupability/EntryBackupAbility.ets",
        "type": "backup",
        "exported": false,
        "metadata": [
          {
            "name": "ohos.extension.backup",
            "resource": "$profile:backup_config"
          }
        ]
      }
    ]
  }
}